Last Comment Bug 699192 - Uploading dowloaded minified jquery file causes unicode error
: Uploading dowloaded minified jquery file causes unicode error
Status: RESOLVED FIXED
:
Product: addons.mozilla.org Graveyard
Classification: Graveyard
Component: Add-on Builder (show other bugs)
: unspecified
: x86 Mac OS X
P1 major
: Builder 1.0
Assigned To: Piotr Zalewa [:zalun]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-02 12:44 PDT by Jeff Griffiths (:canuckistani) (:⚡︎)
Modified: 2014-09-24 06:39 PDT (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
error from upload (45.56 KB, image/png)
2011-11-02 12:44 PDT, Jeff Griffiths (:canuckistani) (:⚡︎)
no flags Details

Description User image Jeff Griffiths (:canuckistani) (:⚡︎) 2011-11-02 12:44:47 PDT
Created attachment 571418 [details]
error from upload

If I try to add the  current release of jQuery to my project by url:

http://code.jquery.com/jquery-1.6.4.min.js

...I get an error ( see attached screenshot ).
Comment 1 User image Daniel Buchner [:dbuc] 2011-11-18 11:48:02 PST
Piotr, let's get this and the rest of the unicode issues taken care of as soon as possible.
Comment 2 User image Piotr Zalewa [:zalun] 2011-11-24 04:57:59 PST
https://github.com/mozilla/FlightDeck/pull/73
Comment 3 User image Will Bamberg [:wbamberg] 2012-06-07 13:55:07 PDT
I still see this, or it's come back. Trying to attach the minified jQuery, for example: http://code.jquery.com/jquery-1.7.1.min.js, I see the same error:

***
Error 403

FORBIDDEN
'Attachment failed to save properly
Unknown Unicode in file'
***
Comment 4 User image Piotr Zalewa [:zalun] 2012-07-12 06:48:51 PDT
It is working fine
Comment 5 User image Will Bamberg [:wbamberg] 2012-07-12 08:32:51 PDT
It reliably does not work for me.

* jQuery.min downloaded from http://code.jquery.com/jquery-1.7.2.min.js
* Mac OS X 10.6.8
* Firefox 13

I've tried with a clean profile, same problem.

This has been reported elsewhere since this bug was closed, for example:
http://stackoverflow.com/questions/9769108/unable-to-upload-jquery-1-7-1-min-for-firefox-addon-using-addon-builder
https://forums.mozilla.org/addons/viewtopic.php?p=11257&sid=2e7016d0aed3457c9243ba33fd6fc950
Comment 6 User image Piotr Zalewa [:zalun] 2012-07-12 13:09:09 PDT
There is indeed an error if file was downloaded an then uploaded.
Adding the file by providing its URL is working fine.
The description is about the latter which was fixed, that's why I marked it as resolved.

STR:

1. download http://code.jquery.com/jquery-1.7.2.min.js
2. open add attachent modal
3. select the file from disk and submit the form
Comment 7 User image Piotr Zalewa [:zalun] 2012-07-30 01:58:59 PDT
In review https://github.com/mozilla/FlightDeck/pull/155
Comment 8 User image Piotr Zalewa [:zalun] 2012-07-31 02:11:46 PDT
on master

Note You need to log in before you can comment on or make changes to this bug.